#!/usr/bin/python3
# -*- coding:utf-8 -*-

import os, fcntl


LOG_PATH="/var/log/security-switch.log"
#LOG_PATH="./security-switch.log"

class LogManager:
	fd = None

	@classmethod
	def log(cls, message):
		logfd = cls.getfd()
		fcntl.lockf(logfd, fcntl.LOCK_EX)
		logfd.write(message)
		logfd.flush()
		fcntl.lockf(logfd, fcntl.LOCK_UN)

	@classmethod
	def debug(cls, message):
		'''
		打印调试信息

		参数:
		  cls: 当前的class名称
		  message: 待打印的信息

		返回值：
		  无
		'''
		cls.log("Debug: %s\n"%message)

	@classmethod
	def error(cls, message):
		'''
		打印错误信息

		参数:
		  cls: 当前的class名称
		  message: 待打印的信息

		返回值：
		  无
		'''
		cls.log("Error: %s\n"%message)

	@classmethod
	def getfd(cls):
		'''
		获取日志句柄，该句柄可用于写日志

		参数:
		  cls: 当前的class名称

		返回值:
		  当前日志的句柄
		'''
		if not cls.fd:
			cls.fd = open(LOG_PATH, "w")
		return cls.fd

	@classmethod
	def close(cls):
		'''
		关闭日志句柄，并将句柄置为空

		参数：
		  cls: 当前的class名称

		返回值:
		  无
		'''
		cls.fd.close()
		cls.fd = None

	@classmethod
	def __del__(cls):
		print("destruct logmanager")
		cls.close()


def log_debug(message):
	LogManager.debug(message)

def log_error(message):
	LogManager.error(message)
