from exectl_module import ExectlModule
from selinux_module import SELinuxModule
from apparmor_module import ApparmorModule
from admin3_module import Admin3Module

KYSEC_U_SERIAL=1

class ModuleFactory:
	@staticmethod
	def get_instance(name, auto_reset):
		if name == "exectl":
			return ExectlModule()
		if name == "selinux":
			return SELinuxModule()
		if KYSEC_U_SERIAL:
			if name == "apparmor":
				return ApparmorModule()
		if name == "admin3":
			return Admin3Module(auto_reset)
		else:
			return None
