#!/usr/bin/python3
# -*- coding:utf-8 -*-

KYSEC_U_SERIAL=1

security_modules={
	"exectl": {
		"name": "exectl",
		"desc": "执行控制",
		"kconfig": "CONFIG_SECURITY_KYSEC",
		#"kconfig": "CONFIG_SECURITY_KYSEC",
		"ksymbol": "kysec_get_file_exectl",
		"packages": [
			{"name": "kysec-utils", "modified": False},
			{"name": "kysec-auth", "modified": False},
			{"name": "kysec-daemon", "modified": False},
			{"name": "kysec-sync-daemon", "modified": False}
		],
		"boot_params": {
			"enabled": {"security": "kysec", "kysec_status": "2"} ,
			"disabled": {"kysec_status": "4"}
		},
	},
	"selinux": {
		"name": "selinux",
		"desc": "SELinux ",
		#"kconfig": "CONFIG_SECURITY_SELINUX",
		"ksymbol": "selinux_init",
		"packages": [
			{"name": "selinux-utils", "modified": False},
			{"name": "setools", "modified": False},
			{"name": "policycoreutils", "modified": False},
			{"name": "chpolicy", "modified": False},
			{"name": "selinux-policy-dev", "modified": False},
			{"name": "libsemanage1", "modified": False}
		],
		"boot_params": {
			"enabled": {"security": "selinux", "selinux": "1", "enforcing": "1"},
			"disabled": {"selinux": "0"}
		}
	},
	"apparmor": {
		"name": "apparmor",
		"desc": "Apparmor",
		#"kconfig": "CONFIG_SECURITY_APPARMOR",
		"ksymbol": "apparmor_init",
		"packages": [
			{"name": "apparmor", "modified": False},
			{"name": "apparmor-utils", "modified": False},
			{"name": "apparmor-profiles", "modified": False}
		],
		"boot_params": {
			"enabled": {"security": "apparmor"},
			"disabled": {}
		},
	},
	"admin3": {
		"name": "admin3",
		"desc": "三权分立",
		#"kconfig": "CONFIG_SECURITY_3ADMIN",
		"ksymbol": "kysec_get_3adm",
		"packages": [
			{"name": "kysec-utils", "modified": False},
			{"name": "auditd", "modified": False},
			{"name": "adduser", "modified": False},
			{"name": "login", "modified": False},
			{"name": "passwd", "modified": False}
		],
		"boot_params": {
			"enabled": {"security": "kysec", "kysec_3adm": "1"},
			"disabled": {"kysec_3adm": "0"}
		}
	},
}

if KYSEC_U_SERIAL == 0:
	security_modules["selinux"]["packages"][0]["name"] = "libselinux-utils"
	security_modules["selinux"]["packages"][4]["name"] = "selinux-policy-devel"
	security_modules["selinux"]["packages"][5]["name"] = "libsemanage"

	security_modules["admin3"]["packages"][1]["name"] = "audit"
	security_modules["admin3"]["packages"][2]["name"] = "shadow"
	security_modules["admin3"]["packages"][3]["name"] = "util-linux"

	security_modules.pop("apparmor")
